http://gambitcomm.local/mimic/agent/{agentNum}/value/mget/{objInsVarArray}This is a performance optimization of the mimic value get command, to be used when many variables are requested.
Agent of the value space
Multiple objects or object (column) of the table in the agent's value space.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://gambitcomm.local/mimic/agent/{agentNum}/value/mget/{objInsVarArray}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://gambitcomm.local/mimic/agent/{agentNum}/value/mget/{objInsVarArray}This is a performance optimization of the mimic value get command, to be used when many variables are requested.
Agent of the value space
Multiple objects or object (column) of the table in the agent's value space.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://gambitcomm.local/mimic/agent/{agentNum}/value/mget/{objInsVarArray}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}